<ion-header [translucent]="true">
  <ion-toolbar class="backazul">
    <ion-title class="ion-text-center">
      <h1 style="color: white;margin-top:0px;">MI PERFIL</h1>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-grid>
    <div *ngFor="let us of usuario">
      <ion-row class="ion-margin-bottom ion-margin-top">
        <ion-col size="4" class="ion-text-center">
          <div *ngIf="previewUrl">
              <img  [src]="previewUrl" style="border-radius: 50%; margin: 7% 0%;"/>
          </div>
          <img *ngIf="!previewUrl" src="https://animatiomx.com/lumi/imagenes/{{us.Imagen}}" style="border-radius: 50%; margin: 7% 0%;"/>

          <div class="contenedor">
            <label for="action" id="label" (click)="presentActionSheet()"></label>

            <input #MyRef style="display: none;" type="file" id="foto"
                    (change)="onFileChanged($event,$event.target.files, $event)" multiple
                    accept="image/*">
          </div>
        </ion-col>
        <ion-col size="8" class="ion-text-left">
          <h1>{{us.Nombre}}</h1>
          <h6 *ngIf="us.Rol === '1'" style="font-weight: 400; font-style:italic;color: gray;">ASESOR DE VENTAS</h6>
          <h6 *ngIf="us.Rol === '2'" style="font-weight: 400; font-style:italic;color: gray;">COORDINADOR</h6>
          <h6 *ngIf="us.Rol === '3'" style="font-weight: 400; font-style:italic;color: gray;">ADMINISTRADOR</h6>
          <h6 *ngIf="us.Rol === '4'" style="font-weight: 400; font-style:italic;color: gray;">COORDINADOR/ADMIN</h6>
        </ion-col>
      </ion-row>

      <ion-row class="ion-margin-top">
        <ion-col size="4" class="ion-text-right">
          <ion-label color="primary">Usuario</ion-label>
        </ion-col>
        <ion-col size="8">
          <ion-input disabled value="{{us.Usuario}}"></ion-input>
        </ion-col>
        <ion-col size="4" class="ion-text-right">
          <ion-label color="primary">Contraseña</ion-label>
        </ion-col>
        <ion-col size="8">
          <ion-input disabled value="**********"></ion-input>
        </ion-col>
      </ion-row>

      <ion-row class="ion-margin-bottom">
        <ion-col size="12" class="ion-text-center">
          <ion-button color="primary" [routerLink]="['/tabs/tab4/cambiar-contra',us.idUsers]">
            <ion-icon name="key-sharp"></ion-icon>
          CAMBIAR CONTRASEÑA
          </ion-button>
        </ion-col>
      </ion-row>
    </div>

    <ion-row class="ion-margin-bottom">
        <ion-col size="12" class="ion-text-center">
          <ion-button color="danger" (click)="logout()">
              <ion-icon name="log-out-sharp">
            </ion-icon>
          CERRAR SESION
          </ion-button>
        </ion-col>
    </ion-row>

    <ion-row class="ion-margin-bottom">
      <ion-col size="12" class="ion-text-center">
        <h1>EQUIPO DE TRABAJO</h1>
      </ion-col>
    </ion-row>
    <div class="px-3" style="overflow:auto!important">
      <ion-row *ngFor="let eq of equipo2" class="py-3" style="border-bottom: 1px solid black;">
        <ion-col size="3" class="ion-text-end v-center">
          <img class="img"
            src="https://animatiomx.com/lumi/imagenes/{{eq.Imagen}}"/>
        </ion-col>
        <ion-col size="9" class="ion-text-left">
          <h4 style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
            {{eq.Nombre}}
          </h4>
            <h6 *ngIf="eq.Rol === '1'" style="font-weight: 400; font-style:italic;color: gray;">ASESOR DE VENTAS</h6>
            <h6 *ngIf="eq.Rol === '2'" style="font-weight: 400; font-style:italic;color: gray;">COORDINADOR</h6>
            <h6 *ngIf="eq.Rol === '3'" style="font-weight: 400; font-style:italic;color: gray;">ADMINISTRADOR</h6>
            <h6 *ngIf="eq.Rol === '4'" style="font-weight: 400; font-style:italic;color: gray;">COORDINADOR/ADMIN</h6>
          <h6>{{eq.Usuario}}</h6>
        </ion-col>
      </ion-row>
    </div>

  </ion-grid>
</ion-content>
